summaryrefslogtreecommitdiff
path: root/libre/iceweasel-libre
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-08-13 08:19:03 -0300
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-08-13 08:19:03 -0300
commit21e9c2969fca60a6a902c396c0381fbed95756e9 (patch)
treed110bb6839265d8ce72a0c4b22c3826bbf014a1f /libre/iceweasel-libre
parentea6c559e86923f7e09d924693ab47a18b7d6179f (diff)
downloadabslibre-21e9c2969fca60a6a902c396c0381fbed95756e9.tar.gz
abslibre-21e9c2969fca60a6a902c396c0381fbed95756e9.tar.bz2
abslibre-21e9c2969fca60a6a902c396c0381fbed95756e9.zip
iceweasel-libre: update pgo functionality
Diffstat (limited to 'libre/iceweasel-libre')
-rw-r--r--libre/iceweasel-libre/PKGBUILD9
-rw-r--r--libre/iceweasel-libre/mozconfig.pgo2
2 files changed, 6 insertions, 5 deletions
diff --git a/libre/iceweasel-libre/PKGBUILD b/libre/iceweasel-libre/PKGBUILD
index a4c9ef5b1..ea97945b6 100644
--- a/libre/iceweasel-libre/PKGBUILD
+++ b/libre/iceweasel-libre/PKGBUILD
@@ -57,7 +57,7 @@ source=("$_debrepo/`debfile $_debname`_$_debver.orig.tar.bz2"
md5sums=('567bfd5b1bc0639b4f2e53a6e921ed5d'
'1681363327ec8642ddb615bc20cb41c2'
'2d7ac85c32df6a4ccfcc6de7a1420bf7'
- '383e8e2a97a8b13fe56d153adb6878b6'
+ 'df08eaa1ac3bc6c2356be4fbf8ec8932'
'4f656688fe7bc0b11899369e0e23e516'
'7b9e5996dd9fe0b186a43a297db1c6b5'
'abf5ecb74caa857abb42bcfbb3442d9c'
@@ -170,12 +170,13 @@ build() {
if $_pgo; then
export DISPLAY=:99
Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
- _fail=0
- make -f client.mk build MOZ_PGO=1 || _fail=1
+ if ! make -f client.mk build MOZ_PGO=1; then
+ kill $!
+ return 1
+ fi
kill $! || true
- return $_fail
else
make -f client.mk build
fi
diff --git a/libre/iceweasel-libre/mozconfig.pgo b/libre/iceweasel-libre/mozconfig.pgo
index 2f4ebe32b..71ba205a4 100644
--- a/libre/iceweasel-libre/mozconfig.pgo
+++ b/libre/iceweasel-libre/mozconfig.pgo
@@ -1,3 +1,3 @@
# PGO
-mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py 10'
+mk_add_options PROFILE_GEN_SCRIPT='EXTRA_TEST_ARGS=10 $(MAKE) -C $(MOZ_OBJDIR) pgo-profile-run'